Prequisites for .NET 4 do not seem to work

Having trouble running Advanced Installer? Got a bug to report? Post it all here.
Posts: 4
Joined: Thu Jul 01, 2010 4:35 pm

Prequisites for .NET 4 do not seem to work

Postby michael.lutz » Mon Feb 20, 2012 3:16 pm

hello everybody

I am using the prequisites setting for Dot.Net Framework 4 and automatically in the pre-install branch of the "Packages tree" the item ".NET Framework 4.0" is inserted. I choosed the location option "Download single file from URL" and automatically the URL "" is given. In the Install Conditions option I have choosen "Install prerequisites based on condition" with the condition "registry value with specified "Registry value exists" for the registry value "HKLM\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full\Install". Further more the option was set to "Install only if all conditions are false".

I've tested the installation (exe) on a plain XP SP3 running in a vmWare. Even so that this registry value is definately not existing, the prerequisites is skipped an the installation ignores the settings; so Dot.Net Framework 4 is not being installed. Playing around with options like "Use file from disk" or "Open website in default Internet browser" brought no change. It seems, that in my current release 8.9 Build 41901 this feature simply don't work. Any idea?

thanks in advance,

Michael Lutz

Posts: 3744
Joined: Thu Aug 05, 2010 8:01 am

Re: Prequisites for .NET 4 do not seem to work

Postby mihai.petcu » Tue Feb 21, 2012 9:40 am

Hi Michael,

I just tested the predefined ".NET Framework 4" post-install prerequisite and it works fine on a Windows XP SP3 machine.
I noticed you are changing the predefined settings, why are you doing that?

All the best,
Mihai Petcu - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube

Return to “Common Problems”

Who is online

Users browsing this forum: Bing [Bot], Yahoo [Bot] and 1 guest